{% extends 'base.html.twig' %}

{% block body %}

    {{ include('app/shop/products/_tabs.html.twig') }}

    <div class="container">
        {% for product in pagination %}
            <div class="productBox">
                <div class="view1">
                    <a href="{{ path('shop.'~ category.sex ~'.product', {'id': product.id}) }}">
                        {% if product.image_name is not empty %}
                            <img src="{{ asset('uploads/images/product/product/' ~ product.name ~ '/' ~ product.image_name) | imagine_filter('product') }}"
                                 alt="">
                        {% else %}
                            <img src="{{ asset('build/images/no_image.png') | imagine_filter('product') }}"
                                 alt="">
                        {% endif %}
                        <div class="top_box">
                            <h3 class="m_1">{{ product.name }}</h3>
                            <p class="m_2">{{ product.subcategory_name }}</p>
                            <div class="price">{{ product.price }}</div>
                        </div>
                    </a>
                </div>

                <ul class="list2">
                    <li>
                        <ul class="icon1 sub-icon1 profile_img" id="action{{ product.id }}">
                            {% if cart and product.id in cart %}
                                <li id="actionRemove">
                                    <button class="remove_from_cart" type="button" name="remove_from_cart" id="{{ product.id }}">
                                        Remove from cart
                                    </button>
                                </li>
                            {% else %}

                                <li id="actionAdd">
                                    <button class="add_to_cart" type="button" name="add_to_cart" id="{{ product.id }}">
                                        Add to cart
                                    </button>
                                </li>

                            {% endif %}
                        </ul>
                    </li>
                </ul>
            </div>
        {% endfor %}
    </div>

{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('cart') }}
{% endblock %}